// TinyPIM (c) 1999 Pablo Halpern, File Address.h

#ifndef Address_dot_h
#define Address_dot_h 1

#include <string>

// Address class implemented using std::string class
class Address
{
public:
  // The following are automatically generated by the compiler:
  // Address();
  // ~Address();
  // Address(const Address&);
  // Address& operator=(const Address&);

  // Field accessors
  std::string lastname() const { return lastname_; }
  void lastname(const std::string&);

  std::string firstname() const { return firstname_; }
  void firstname(const std::string&);

  std::string phone() const { return phone_; }
  void phone(const std::string&);

  std::string address() const { return address_; }
  void address(const std::string&);

private:
  // Data Fields
  std::string lastname_;
  std::string firstname_;
  std::string phone_;
  std::string address_;
};

#endif // Address_dot_h
